-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnГруппа_ячейкиUpdate ON [dbo].[Группа_ячейки] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Группа_ячейки on Группа_ячейки.AddressID = inserted.AddressID 
    where inserted.AddressID IS NOT NULL AND inserted.Код_группы <> Группа_ячейки.Код_группы)
  begin
    RAISERROR ('Значение поля AddressID в таблице Группа_ячейки должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end
